FROM golang:alpine AS builder

COPY . .

RUN CGO_ENABLED=0 GOOS=linux GOARCH=amd64 GO111MODULE=off go build -a -installsuffix cgo -ldflags="-w -s" -o /go/bin/hello

FROM scratch

COPY --from=builder /go/bin/hello /go/bin/hello

ENV PORT 5000
EXPOSE $PORT
CMD [ "/go/bin/hello" ]
